#!/bin/bash

PREFIX=/usr/local

fatal()
{
  echo "$1" >&2
  echo "Installation failed." >&2
  exit 1
}

cat <<EOF
------------------------------------------------------------------------

   TrustBridge - Installer
   Version @PROJECT_VERSION@

------------------------------------------------------------------------
EOF

echo -n "Select installation prefix for TrustBridge [${PREFIX}]: "
read -e path

[ -z "$path" ] && path="${PREFIX}"

echo "Installing to '$path':"

if [ ! -d "$path" ] ; then
    echo "creating installation directory ..."
    install -d "$path" || fatal "Could not create '$path'!"
fi

echo "unpacking files ..."
cd "$path"

# ----------------------------------------------------------------------
# regular shar archive appended here:
